﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_randomize_pick_extension
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The values from which to pick randomly.
        private string[] ArrayValues =
        {
            "Ape",
            "Bear",
            "Cat",
            "Dog",
            "Elf",
            "Frog",
            "Giraffe",
        };
        private List<string> ListValues;

        // Initialize the list from the array.
        private void Form1_Load(object sender, EventArgs e)
        {
            ListValues = new List<string>();
            foreach (string value in ArrayValues)
                ListValues.Add(value);

            lstItems.DataSource = ArrayValues;
        }

        // Pick a random value.
        private void btnPick_Click(object sender, EventArgs e)
        {
            txtFromArray.Text = ArrayValues.RandomElement();
            txtFromList.Text = ListValues.RandomElement();
        }
    }
}
